

// 订单相关接口
const api = {
    // 获取订单列表数据带分页
	orderPageList: {
		url: '/order_common/getOrderPageList',
		method: 'GET', 
		auth : true,
	},
    // 取消订单活动
    cancelOrder: {
		url: '/order_common/cancelOrder',
		method: 'POST', 
		auth : true,
		showLoading : true,
		limit : 1000,
	},
    // 订单活动评价
    evaluate: {
		url: '/order_common/evaluate',
		method: 'POST', 
		auth : true,
		showLoading : true,
		limit : 1000,
	},
    // 根据订单标识查询订单信息
    orderInfo: {
		url: '/order_common/getOrderInfo',
		method: 'GET', 
		auth : true,
	},
    // 订单开具发票
    invoice: {
		url: '/order_common/invoice',
		method: 'POST', 
		auth : true,
	},
	//发票列表
	getInvoicePageList:{
		url: '/order_common/getInvoicePageList',
		method: 'GET', 
		auth : true,
	},
    // 订单活动签到
    signIn: {
		url: '/order_common/signIn',
		method: 'POST', 
		auth : true,
		showLoading : true,
	},
	// 创建订单
	createOrder : {
		url: '/order_common/createOrder',
		method: 'POST', 
		auth : true,
		showLoading : true,
		limit : 1000,
	},
	createOrderPay : {
		url: '/order_common/createOrderPay',
		method: 'POST', 
		auth : true,
		showLoading : true,
		limit : 1000,
	},
	// 收藏
	collect: {
		url: '/order_common/collect',
		method: 'POST', 
		auth : true,
		showLoading : true,
		limit : 1000,
	},
}

export default api